# $Revision: 1.8 $, $Date: 2010/07/08 08:50:37 $
Summary:	Deprecation library for Python code
Summary(pl.UTF-8):	Biblioteka odradzająca dla kodu w Pythonie
Name:		Zope-Deprecation
Version:	3.4.0
Release:	4
License:	ZPL 2.1
Group:		Libraries/Python
Source0:	http://pypi.python.org/packages/source/z/zope.deprecation/zope.deprecation-%{version}.tar.gz
# Source0-md5:	cc5814063505f217c6df3fc93ec8b2df
URL:		http://www.zope.org/
BuildRequires:	python >= 1:2.5
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
%pyrequires_eq	python-modules
Requires:	Zope-Testing
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Deprecation library for Python code.

%description -l pl.UTF-8
Biblioteka odradzająca dla kodu w Pythonie.

%prep
%setup -q -n zope.deprecation-%{version}

%build
python ./setup.py build

%install
rm -rf $RPM_BUILD_ROOT

python ./setup.py install \
	--install-purelib=%{py_sitedir} \
	--optimize 2 \
	--root=$RPM_BUILD_ROOT

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{py_sitedir}/zope/deprecation
%{py_sitedir}/zope.deprecation-*.egg-info
%{py_sitedir}/zope.deprecation-*-nspkg.pth

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: Zope-Deprecation.spec,v $
Revision 1.8  2010/07/08 08:50:37  arekm
- release 4

Revision 1.7  2008/12/09 03:16:28  wrobell
- use pypi source
- rel. 3

Revision 1.6  2008/03/04 22:35:58  qboosh
- py_sitedir is not noarch

Revision 1.5  2008-03-04 22:19:32  wrobell
- moved to py_sitedir
- rel. 2

Revision 1.4  2008-01-04 22:21:19  qboosh
- pl
- python deps
- noarch

Revision 1.3  2007-09-12 22:22:30  wrobell
- fixed install requirements

Revision 1.2  2007/09/12 22:22:05  wrobell
- fixed summary/description/license/group/url
- rel. 1

Revision 1.1  2007/09/10 17:46:58  wrobell
- based on Zope-Testing.spec
